
Robotics Service Bus - Tasks #255
Tasks # 240 (Resolved): Refactor C++ Implementation to 2011-04-13 Domain Model
Separate In and OutConnectors
04/23/2011 01:17 PM - J. Wienke

Status: Resolved Start date: 04/23/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: C++ Estimated time: 3.00 hours
Target version:
Description

Separate the Connector interface to InConnector for receiving events and OutConnector for sending messages. Let transport::Factory
create both types.

For spread separate the Connector to spread::OutConnector (the current Connector class) and spread::InConnector (which is
probably a refactoring of the ReceiverTask).

Related issues:
Blocks Robotics Service Bus - Tasks # 261: Dynamic connector creation Resolved 04/27/2011
Precedes Robotics Service Bus - Bug # 265: Fix/Implement/Test InProcess Conne... Resolved 04/29/2011

Associated revisions
Revision ec3a0a2c - 04/28/2011 08:52 PM - J. Moringen
Added InConnector and OutConnector as a first step to implement
refs #255
    -  src/rsb/transport/Connector.{h,cpp}: added classes InConnector and

  OutConnector; moved methods and data members from Connector into new
  classes as appropriate

    -  src/rsb/eventprocessing/Router.{h,cpp}: changed types of inConnector
  and outConnector members to InConnectorPtr and OutConnectorPtr
  respectively

    -  src/rsb/transport/inprocess/InProcessConnector.h: InProcessConnector
  is now derived from InConnector and OutConnector

    -  src/rsb/transport/spread/SpreadConnector.h: SpreadConnector is now
  derived from  InConnector and OutConnector

    -  test/rsb/RSBTest.cpp: adapted to changes in Connector interface
    -  test/rsb/InformerTask.{h,cpp}: likewise
    -  test/rsb/transport/spread/SpreadConnectorTest.cpp:likewise

Revision 31744264 - 04/29/2011 05:50 PM - J. Moringen
In/Out separation for spread transport and Router; Disabled inprocess transport
fixes #255
    -  src/CMakeLists.txt: disabled inprocess connector; added

  src/rsb/spread/{In,Out}Connector.{h,cpp}
    -  src/rsb/eventprocessing/Router.cpp: use correct factories for In-

  and OutConnector
    -  src/rsb/transport/Factory.cpp: removed; the former factory has been

  reduced to two typedefs
    -  src/rsb/transport/Factory.h: changed interface types of factories to

  InConnector and OutConnector respectively
    -  src/rsb/transport/transports.cpp: register in and out directions for
  spread; do not register the disabled inprocess connector
    -  src/rsb/transport/spread/InConnector.{h,cpp}: new files; connector

  for in direction of spread transport
    -  src/rsb/transport/spread/OutConnector.{h,cpp}: new files; connector

  for out direction of spread transport
    -  src/rsb/transport/spread/SpreadConnector.{h,cpp}: moved

  direction-specific parts to {In,Out}Connector.{h,cpp}
    -  test/rsb/transport/spread/SpreadConnectorTest.cpp

History
#1 - 04/28/2011 03:49 PM - J. Moringen
- Assignee changed from S. Wrede to J. Moringen

#2 - 04/28/2011 08:57 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 20

#3 - 04/29/2011 05:50 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 20 to 100

Applied in changeset r681.
